/*
 * Tipografía global única de Tintin.
 * Montserrat Variable 5.2.8, SIL Open Font License 1.1.
 * Los archivos WOFF2 se sirven localmente para evitar dependencias externas,
 * solicitudes duplicadas y cambios visibles de tipografía durante la carga.
 */
@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-cyrillic-ext-wght-normal.woff2") format("woff2-variations");
  unicode-range: U+0460-052F,U+1C80-1C8A,U+20B4,U+2DE0-2DFF,U+A640-A69F,U+FE2E-FE2F;
}

@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-cyrillic-wght-normal.woff2") format("woff2-variations");
  unicode-range: U+0301,U+0400-045F,U+0490-0491,U+04B0-04B1,U+2116;
}

@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-vietnamese-wght-normal.woff2") format("woff2-variations");
  unicode-range: U+0102-0103,U+0110-0111,U+0128-0129,U+0168-0169,U+01A0-01A1,U+01AF-01B0,U+0300-0301,U+0303-0304,U+0308-0309,U+0323,U+0329,U+1EA0-1EF9,U+20AB;
}

@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-latin-ext-wght-normal.woff2") format("woff2-variations");
  unicode-range: U+0100-02BA,U+02BD-02C5,U+02C7-02CC,U+02CE-02D7,U+02DD-02FF,U+0304,U+0308,U+0329,U+1D00-1DBF,U+1E00-1E9F,U+1EF2-1EFF,U+2020,U+20A0-20AB,U+20AD-20C0,U+2113,U+2C60-2C7F,U+A720-A7FF;
}

@font-face {
  font-family: "Montserrat";
  font-style: normal;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-latin-wght-normal.woff2") format("woff2-variations");
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}

@font-face {
  font-family: "Montserrat";
  font-style: italic;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-cyrillic-ext-wght-italic.woff2") format("woff2-variations");
  unicode-range: U+0460-052F,U+1C80-1C8A,U+20B4,U+2DE0-2DFF,U+A640-A69F,U+FE2E-FE2F;
}

@font-face {
  font-family: "Montserrat";
  font-style: italic;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-cyrillic-wght-italic.woff2") format("woff2-variations");
  unicode-range: U+0301,U+0400-045F,U+0490-0491,U+04B0-04B1,U+2116;
}

@font-face {
  font-family: "Montserrat";
  font-style: italic;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-vietnamese-wght-italic.woff2") format("woff2-variations");
  unicode-range: U+0102-0103,U+0110-0111,U+0128-0129,U+0168-0169,U+01A0-01A1,U+01AF-01B0,U+0300-0301,U+0303-0304,U+0308-0309,U+0323,U+0329,U+1EA0-1EF9,U+20AB;
}

@font-face {
  font-family: "Montserrat";
  font-style: italic;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-latin-ext-wght-italic.woff2") format("woff2-variations");
  unicode-range: U+0100-02BA,U+02BD-02C5,U+02C7-02CC,U+02CE-02D7,U+02DD-02FF,U+0304,U+0308,U+0329,U+1D00-1DBF,U+1E00-1E9F,U+1EF2-1EFF,U+2020,U+20A0-20AB,U+20AD-20C0,U+2113,U+2C60-2C7F,U+A720-A7FF;
}

@font-face {
  font-family: "Montserrat";
  font-style: italic;
  font-display: block;
  font-weight: 100 900;
  src: url("../assets-tintin/fonts/montserrat-latin-wght-italic.woff2") format("woff2-variations");
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}

:root {
  --font-family-primary: "Montserrat";
  --font-family-secondary: "Montserrat";
  --font-family-heading: "Montserrat";
  --font-family-body: "Montserrat";
  --font-family-button: "Montserrat";
  --font-family-form: "Montserrat";
  --font-family-admin: "Montserrat";
  --font-heading: "Montserrat";
  --font-body: "Montserrat";
  --font-display: "Montserrat";
  --font: "Montserrat";
  --serif: "Montserrat";
  --adm-font: "Montserrat";
}

html,
body,
body *,
button,
input,
textarea,
select,
option,
optgroup,
label,
table,
thead,
tbody,
tfoot,
tr,
th,
td,
a,
p,
span,
div,
section,
article,
header,
footer,
nav,
aside,
main,
h1,
h2,
h3,
h4,
h5,
h6,
small,
strong,
b,
em,
i,
u,
mark,
blockquote,
figcaption,
legend,
summary,
details,
pre,
code,
kbd,
samp,
svg text,
svg tspan {
  font-family: "Montserrat" !important;
  font-synthesis: none;
}

*::before,
*::after,
*::placeholder {
  font-family: "Montserrat" !important;
}
